4.0.12 crash

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • 4.0.12 crash

      Hi

      Just upgraded from 4.0.11 to 4.0.12 om my DM8000. After that it crashes when deleting videos in EMC. Every time.... Then it restarts the GUI. After the GUI restart the TV picture is locked at the same size and position as it had in the EMC view. A reboot solves the malformed picture. But entering EMC and delete a movie and it crashes again. Changing from my Newnigma2-HD skin to dream box default skin makes no difference.

      How can I revert to 4.0.11 and keeping all settings (prefer to avoid a new install because of all my settings) ?

      Here is a crash dump if somebody can help...
      incedo.eu/~sjoholmp/misc_inter…crash_1420667619.log.sent

      People like me that cannot live without EMC should maybe wait to upgrade...

      Thanks in advance

      Regards
      /P-O
    • I removed the EMC that was updated with 4.0.12 and reinstalled an older one...

      --snip--
      root@dm8000:~# opkg remove enigma2-plugin-extensions-enhancedmoviecenter
      Removing package enigma2-plugin-extensions-enhancedmoviecenter from flash...
      Plugin removed! You should restart enigma2 now!


      root@dm8000:~# opkg install enigma2-plugin-extensions-enhancedmoviecenter_3.7.4beta20131015_all.ipk
      Installing enigma2-plugin-extensions-enhancedmoviecenter (3.7.4beta20131015) to flash...
      Configuring enigma2-plugin-extensions-enhancedmoviecenter.


      ***********************************
      * Enhanced Movie Center *
      * V3.7.4beta20131015 *
      * by *
      * Coolman, Betonme & Swiss-MAD *
      ***********************************

      Plugin successfully installed!

      You should restart enigma2 now...

      root@dm8000:~#

      --snip--


      And now EMC is working again...

      According to the crash log and some looking at "e2openplugin-EnhancedMovieCenter" on GitHub I can see that a lot has been done in MovieCenter.py that is also referred to in the crash log.


      /P-O
    • Hi Skipper

      Don't know... Just saw the 4.0.12 EMC package name did not have a name related to a version like you describe. To answer I have to reinstall the faulty package from 4.0.12 and check it more in detail (Why is it not in feed.newnigma2.to/stable/4.0/dm8000/ ?).

      You could probably upgrade package by package instead of in one command. But I think it is easier to revert just EMC afterwards. And this method seems to have no drawbacks.

      A note..
      As the EMC that came with the 4.0.12 upgrade crash hard as described above in the first post, I did clone the master branch om EMC from Git Hub yesterday and rebuilt a an EMC package myself from there. That package had recent commits a few days ago but had after my build a name "enigma2-plugin-extensions-enhancedmoviecenter_3.7.3beta20130802_all.ipk" ??????. So as I did not have the time to dig in to it further, I switched back to my old working package I had before 4.0.12 which was "enigma2-plugin-extensions-enhancedmoviecenter_3.7.4beta20131015_all.ipk". And do not ask me why in gods name this package is named 3.7.4 whereas a build yesterday the latest git clone of EMC has 3.7.3...

      /P-O

      The post was edited 1 time, last by pos42 ().

    • "FATAL!: addTimer must be called from thread 1334 but is called from thread 1534" seems to be a bigger problem and for others and on other boxes as well. They mention OE2.2. Here.... dream-multimedia-tv.de/board/i…age=Thread&threadID=19612


      Seems to be a problems for more plugins than EMC also.

      In that thread we can se statements like:

      --snip--
      Ghost
      I told you in this regard already sent a mail where I addressed this issue - the problem with the addTIMER in the Advanced Movie Selection (2x Crashlog)

      The same problem occurs in Netatmo plugin - is also by me ;)
      --snip--




      So people with a working 4.0.11 should maybe wait a little....

      /P-O
    • 4.0.12 is no oe2.2 is only dm500hd/dm500hdv2/dm7020hd/dm7020hdv2/dm800se/dm800sev2/dm800pvr and dm8000

      dm7080 and 820 have dream OS on oe2.2
      » Chuck Norris kann Zwiebeln zum Weinen bringen «

      Konfuzius sagt:
      Erst wenn eine Mücke auf deinen Hoden landet wirst du lernen Probleme ohne Gewalt zu lösen.

      Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen.
    • The EMC version that was came with 4.0.12 upgrade was "enigma2-plugin-extensions-enhancedmoviecenter - 1.0git20150106-r1". Uninstalling this and install my own version I had laying around "enigma2-plugin-extensions-enhancedmoviecenter_3.7.4beta20131015_all.ipk" and all work flawlessly with EMC in 4.0.12.

      I have not seen any other issues with 4.0.12. But as I mentioned above, others have had same error messages with other plugins. How big the problem is I cannot tell. I use 4.0.12 with the EMC version I specified above and is happy. But if I would have seen post regarding this before I went to 4.0.12 I would have stayed on 4.0.11.


      /P-O